Subject: Re: espressobin device tree with kernel 5.1 RC

From: Miquel Raynal <[email-masked]>
Date: Mon, 29 Apr 2019 20:10:11 +0200

Hi Timothy,

"Timothy Krantz" <[email-masked]> wrote on Mon, 29 Apr 2019
11:03:33 -0400:

> Hi Miquel thanks for the response.
> 
> > -----Original Message-----
> > From: Miquel Raynal [mailto:[email-masked]]
> > Sent: Monday, April 29, 2019 3:57 AM
> > To: Timothy Krantz <[email-masked]>; linux-arm-
> > [email-masked]
> > Subject: Re: espressobin device tree with kernel 5.1 RC
> > 
> > Hi Timothy,
> > 
> > "Timothy Krantz" <[email-masked]> wrote on Mon, 22 Apr
> > 2019
> > 15:07:12 -0400:
> >   
> > > Hi,
> > > Please excuse my emailing you directly.  I do not know the proper
> > > channels to report my problem.
> > >  
> > 
> > For this kind of question I think adding the Linux ARM Kernel Mailing List
> > (LAKML) is the right thing to do.  
> 
> Got it, thanks for the information.
> 
> >   
> > > I build my own kernels for my 3 espressobins.  Up through kernel 5.0
> > > things work fine.
> > >
> > > In the 5.1 RC kernels I have been unable to boot using the 5.1 RC
> > > device tree.  I get :
> > >
> > > ahci-mvebu d00e0000.sata: couldn't get PHY in node sata: -517

-517 is -EPROBE_DEFFER. While a new case in the switch located in
ahci_platform_get_phy() should probably handle this case silently, it
does not explain why it hangs.

Could you add traces in ahci_mvebu.c to check where it hangs?

As Uwe told you, #armlinux or #mvlinux might be good places to discuss
this topic.

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel